Bug 443981 - No HU file descriptor referring to the console in hu.map.gz
No HU file descriptor referring to the console in hu.map.gz
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kbd (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 10:09 EDT by Zoltan Hoppar
Modified: 2009-06-18 08:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 08:18:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zoltan Hoppar 2008-04-24 10:09:30 EDT
Description of problem:
Missing console descriptor file for HU lang

Version-Release number of selected component (if applicable):
Rawhide / Fedora preview release

How reproducible:
You can either check on LIVE CD, or the HU installed system, if you try to type
anything - you still gets the EN keymap.

Steps to Reproduce:
1. Call -loadkeys hu- to see error message. See at Additional info.

Actual results:
There are still only EN locale keymap, unless if you chosen HU at install.

Expected results:
HU keymap after installing.

Additional info:

loadkeys hu
Loading /lib/kbd/keymaps/i386/qwertz/hu.map.gz
Couldnt get a file descriptor referring to the console
Comment 1 Noriko Hosoi 2008-04-24 13:09:36 EDT
fedora-ds-console is a console for Fedora Directory Server.
Changing the component to anaconda...
Comment 2 Vitezslav Crhonek 2008-05-05 09:49:28 EDT
Hi,

I'm not able to reproduce it. I installed fresh HU rawhide system.
Here is my /etc/sysconfig/i18n:

LANG="hu_HU.UTF-8"
SYSFONT="latarcyrheb-sun16"

There's correct keyboard layout in both text mode and X terminal (I compared it
to http://www.gate2home.com/?language=hu).

I also did not recognize problem with "loadkeys hu" command as root.

Maybe you test earlier rawhide than me and it's was fixed meanwhile - in
different component than kbd (maybe system-config-language or anaconda?),
because it's not kbd fault.
Comment 3 Bug Zapper 2008-05-14 06:04:46 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Brennan Ashton 2008-06-07 21:02:33 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 5 Bug Zapper 2009-06-09 20:24:40 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.